using System;
using System.Windows;
using CODE.Framework.Wpf.Mvvm;

namespace MyBusinessApplication.Models.Customer
{
    public class EditViewModel : ViewModel
    {
        public EditViewModel()
        {
            Actions.Add(new ViewAction("Save", execute: (a, o) => Save(), category: "Customer"));
            Actions.Add(new CloseCurrentViewAction(this, beginGroup: true, category: "Customer"));
        }

        public void LoadData(Guid id)
        {
            FirstName = "Markus";
            LastName = "Egger";
            Company = "EPS/CODE";
            SearchName = "Markus Egger";

            Web = "www.codemag.com";
            Email = "info@codemag.com";
        }

        public void Save()
        {
            MessageBox.Show("Prentending to saving...");
        }

        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Company { get; set; }
        public string SearchName { get; set; }

        public string Web { get; set; }
        public string Email { get; set; }

        public string SomeOtherField1 { get; set; }
        public string SomeOtherField2 { get; set; }
        public string SomeOtherField3 { get; set; }
        public string SomeOtherField4 { get; set; }
        public string SomeOtherField5 { get; set; }
    }
}
