using System;
using CODE.Framework.Wpf.Mvvm;
using MyBusinessApplication.Models.Customer;

namespace MyBusinessApplication.Controllers
{
    public class CustomerController : Controller
    {
        public ActionResult List()
        {
            var model = new ListViewModel();
            return View(model);
        }

        public ActionResult Search()
        {
            var model = new SearchViewModel();
            return View(model);
        }

        public ActionResult Edit(Guid id)
        {
            var model = new EditViewModel();
            model.LoadData(id);
            return View(model);
        }
    }
}
